#include <stdio.h>
int main()
{
    int n;
    int broj = 0;
    int j;
    scanf("%d", &n);
    int a[n];
    for(int i = 0; i < n; i++)
    {
        scanf("%d", &a[i]);
    }
    int q;
    scanf("%d", &q);
    int l[q];
    int r[q];
    for(int i = 0; i < q; i++)
    {
        scanf("%d %d", &l[i], &r[i]);
    }
    for(int i = 0; i < q; i++)
    {
        j = l[i] - 1;
        if(a[j] > a[j + 1])
            broj++;
        if(a[r[i] - 2] > a[r[i] - 1])
            broj++;
        if(broj == 2)
        {
            printf("NE\n");
        }
        else
        {
        while(j >= l[i] && j < r[i] - 2)
        {
            if(a[j] > a[j + 1])
                {
                    broj++;
                }
            if(broj > 1)
                {
                    printf("NE\n");
                    break;
                }
            j++;
        }
        }
        if(broj <= 1)
            printf("DA\n");
        broj = 0;

    }
}